
From: Adrian Bunk <bunk@fs.tum.de>

modular BINFMT_ELF gives the following unresolved symbols in 2.6:

<--  snip  -->

WARNING: /lib/modules/2.6.0-test9-mm3/kernel/fs/binfmt_elf.ko needs 
unknown symbol __kernel_vsyscall
WARNING: /lib/modules/2.6.0-test9-mm3/kernel/fs/binfmt_elf.ko needs 
unknown symbol empty_zero_page
WARNING: /lib/modules/2.6.0-test9-mm3/kernel/fs/binfmt_elf.ko needs 
unknown symbol dump_task_fpu
WARNING: /lib/modules/2.6.0-test9-mm3/kernel/fs/binfmt_elf.ko needs 
unknown symbol dump_task_extended_fpu
WARNING: /lib/modules/2.6.0-test9-mm3/kernel/fs/binfmt_elf.ko needs 
unknown symbol dump_task_regs

Since modular BINFMT_ELF is pretty pathological I'd suggest the following
patch:



 fs/Kconfig.binfmt |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/Kconfig.binfmt~nonmodular-binfmt_elf fs/Kconfig.binfmt
--- 25/fs/Kconfig.binfmt~nonmodular-binfmt_elf	2003-11-15 16:16:43.000000000 -0800
+++ 25-akpm/fs/Kconfig.binfmt	2003-11-15 16:16:43.000000000 -0800
@@ -1,5 +1,5 @@
 config BINFMT_ELF
-	tristate "Kernel support for ELF binaries"
+	bool "Kernel support for ELF binaries"
 	depends on MMU
 	default y
 	---help---

_
